textures/enceladus2/stone_blend
{
	qer_editorImage textures/enceladus2/stone2
	surfaceparm nodamage
	q3map_alphaMod dotproduct ( 0 0 0.85 )
	q3map_nonplanar
	q3map_shadeAngle 120
	{
		// Primary
		map  textures/enceladus2/stone2
		rgbGen identity
	}
	{
		// Secondary
		map textures/enceladus2/pblack
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}


textures/enceladus2/wall_light_2b
{
	surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm noimpact
    surfaceparm nomarks
	q3map_lightImage textures/enceladus2/sub/light_blend
    q3map_surfacelight 10000
    {
        map textures/enceladus2/wall_light_2b
    }
    {
		map textures/enceladus2/tinfx2
        tcgen environment
		blendFunc GL_ONE GL_ONE
	}
}

textures/enceladus2/ground
{
	qer_editorImage textures/enceladus2/ground
	q3map_nonplanar
	q3map_shadeAngle 75
	nomipmaps
	{
		map textures/enceladus2/ground
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbgen identity
	}
}

textures/enceladus2/light_ai
{
	qer_editorimage textures/enceladus2/light_ai
	q3map_lightImage textures/enceladus2/sub/light_blend_ai
	q3map_surfacelight 3500
	//q3map_backSplash 25 24
	q3map_lightSubdivide 64
	//surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodamage
	surfaceparm detail
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/enceladus2/light_ai
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/enceladus2/sub/light_blend_ai
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .3 .1 0 0.5
	}
}

textures/enceladus2/sky3
{
	qer_editorImage textures/enceladus2/test_up.jpg
	surfaceParm noImpact
	surfaceParm noLightmap
	q3map_lightSubdivide 256
	surfaceParm sky
	q3map_sunExt 1 0.77406 0.902205 180 110 70 2 16
	q3map_skylight 180 3
	q3map_globaltexture
	skyparms textures/enceladus2/test - -
	nopicmip
	nomipmaps
}

textures/enceladus2/synice_s2
{
	qer_trans 0.80
	qer_editorimage textures/enceladus2/synice.tga
	surfaceparm slick
	surfaceparm glass
	surfaceparm nodamage
	tessSize 256


	{
		map textures/enceladus2/synice.tga
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/enceladus2/synice_effect_dark.jpg
		tcgen environment
		blendfunc add
		alphagen const 0.1
	}
}
